Bug 1478979 - Backport NVME support or rebase to smartmontools 6.5
Backport NVME support or rebase to smartmontools 6.5
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: smartmontools (Show other bugs)
7.4
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
qe-baseos-daemons
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 11:48 EDT by Dominic Robinson
Modified: 2017-08-17 04:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Robinson 2017-08-07 11:48:23 EDT
Description of problem:
The current smartmontools package in RHEL 7 (even the just released 7.4) does not support NVME storage drives. This is because the package is based on 6.3 whereas support was introduced in 6.5.

Could NVME support be backported to RHEL or if failing that could RHEL rebase to 6.5?

I am aware that this has been raised before here:
https://bugzilla.redhat.com/show_bug.cgi?id=1418868

^ However that was closed as a duplicate of:
https://bugzilla.redhat.com/show_bug.cgi?id=1369731 

However access to that bug is restricted - so if nothing else this is to put some visibility around the situation.

There are a number of enhancements to NVME support in RHEL 7.4 and if support for these devices is to be provided, then it is very important that the associated monitoring tools also have support.

Note You need to log in before you can comment on or make changes to this bug.